Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.sandbox.queries
Class SlowCollatedTermRangeFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.MultiTermQueryWrapperFilter<SlowCollatedTermRangeQuery>
              org.apache.lucene.sandbox.queries.SlowCollatedTermRangeFilter

Deprecated. Index collation keys with CollationKeyAnalyzer or ICUCollationKeyAnalyzer instead. This class will be removed in Lucene 5.0

    @Deprecated
    public class SlowCollatedTermRangeFilter

extends MultiTermQueryWrapperFilter<SlowCollatedTermRangeQuery>

A Filter that restricts search results to a range of term values in a given field.

This filter matches the documents looking for terms that fall into the supplied range according to `String.compareTo(String)`, unless a `Collator` is provided. It is not intended for numerical ranges; use `NumericRangeFilter` instead.

If you construct a large number of range filters with different ranges but on the same field, `FieldCacheRangeFilter` may have significantly better performance.

Field Summary

Fields inherited from class org.apache.lucene.search.MultiTermQueryWrapperFilter
`query`

Constructor Summary
`SlowCollatedTermRangeFilter(String fieldName, String lowerTerm, String upperTerm, boolean includeLower, boolean includeUpper, Collator collator)` Deprecated.

Method Summary
`Collator` | `getCollator()` Deprecated. Returns the collator used to determine range inclusion, if any.
`String` | `getLowerTerm()` Deprecated. Returns the lower value of this range filter
`String` | `getUpperTerm()` Deprecated. Returns the upper value of this range filter
`boolean` | `includesLower()` Deprecated. Returns `true` if the lower endpoint is inclusive
`boolean` | `includesUpper()` Deprecated. Returns `true` if the upper endpoint is inclusive

Methods inherited from class org.apache.lucene.search.MultiTermQueryWrapperFilter
`equals, getDocIdSet, getField, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlowCollatedTermRangeFilter

    public SlowCollatedTermRangeFilter(String fieldName,
                                       String lowerTerm,
                                       String upperTerm,
                                       boolean includeLower,
                                       boolean includeUpper,
                                       Collator collator)

  Deprecated.
  Parameters:
    `lowerTerm` - The lower bound on this range
    `upperTerm` - The upper bound on this range
    `includeLower` - Does this range include the lower bound?
    `includeUpper` - Does this range include the upper bound?
    `collator` - The collator to use when determining range inclusion; set to null to use Unicode code point ordering instead of collation.
  Throws:
    `IllegalArgumentException` - if both terms are null or if lowerTerm is null and includeLower is true (similar for upperTerm and includeUpper)

Method Detail

### getLowerTerm

    public String getLowerTerm()

  Deprecated.
  Returns the lower value of this range filter

### getUpperTerm

    public String getUpperTerm()

  Deprecated.
  Returns the upper value of this range filter

### includesLower

    public boolean includesLower()

  Deprecated.
  Returns `true` if the lower endpoint is inclusive

### includesUpper

    public boolean includesUpper()

  Deprecated.
  Returns `true` if the upper endpoint is inclusive

### getCollator

    public Collator getCollator()

  Deprecated.
  Returns the collator used to determine range inclusion, if any.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.